#ifndef AREA_BUSINESS_SPEED_CHECKER_H
#define AREA_BUSINESS_SPEED_CHECKER_H

#include"area_business.h"

struct area_business_speed_checker:area_business
{
    area_business_speed_checker();

    int area_business_type()
    {
        return 4;
    }

    void on_enter(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data>&ptr);
    void on_hover(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
    void on_leave(const std::shared_ptr<area_hover>&a,const std::shared_ptr<card_location_base>&c,std::shared_ptr<business_data> ptr);
};

#endif // AREA_BUSINESS_SPEED_CHECKER_H
